Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.annotation
Interface SchedulingConfigurer

    public interface SchedulingConfigurer

Interface to be implemented by @`Configuration` classes annotated with @`EnableScheduling` that wish to register scheduled tasks in a programmatic fashion as opposed to the declarative approach of using the @`Scheduled` annotation. For example, this may be necessary when implementing `Trigger`-based tasks, which are not supported by the `@Scheduled` annotation.

See @`EnableScheduling` for detailed usage examples.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableScheduling`, `ScheduledTaskRegistrar`

Method Summary
`void` | `configureTasks(ScheduledTaskRegistrar taskRegistrar)`

Method Detail

### configureTasks

    void configureTasks(ScheduledTaskRegistrar taskRegistrar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD